Public Member Functions

# SignalSimpleCondition Class Reference
[Programmable Signals.]

Simple condition code. More...

`#include <programmable_signals.h>`

Inheritance diagram for SignalSimpleCondition:

## Public Member Functions
| SignalSimpleCondition (SignalConditionCode code)
virtual bool | Evaluate (SignalVM &vm)

## Detailed Description

Simple condition code.

These conditions have no complex inputs, and can be evaluated directly from VM state and their condition code.

Definition at line 160 of file programmable_signals.h.

The documentation for this class was generated from the following files:

- src/programmable_signals.h
- src/programmable_signals.cpp